#property  copyright "Copyright  2006, MetaQuotes Software Corp."
#property  link "http://www.metaquotes.net"

extern double  = 0.1;
extern bool    = true;
extern int     = 100;
extern int     = 100;
extern int     = 1;
double old_bid = 0;
double curr_bid = 0;
double old_ask = 0;
double curr_ask = 0;
double up_trend = 0;
double down_trend = 0;
int    i;
int    cnt;
double M;
//+------------------------------------------------------------------+

int init()
{
 
 if(Symbol()=="AUDCAD") {
	} else if(Symbol()=="AUDUSD") {
		M=MarketInfo("AUDUSD",MODE_LOTSIZE)/*MarketInfo("AUDUSD",MODE_ASK);
	} else if(Symbol()=="CHFJPY") {
		M=MarketInfo("CHFJPY",MODE_LOTSIZE)/*MarketInfo("USDCHF",1/MODE_ASK);
	} else if(Symbol()=="EURCHF") {
		M=MarketInfo("EURCHF",MODE_LOTSIZE)/*MarketInfo("EURUSD",MODE_ASK);
	} else if(Symbol()=="EURGBP") {
		M=MarketInfo("EURGBP",MODE_LOTSIZE)/*MarketInfo("EURUSD",MODE_ASK);
	} else if(Symbol()=="EURJPY") {
		M=MarketInfo("EURJPY",MODE_LOTSIZE)/*MarketInfo("EURUSD",MODE_ASK);
	} else if(Symbol()=="EURUSD") {
		M=MarketInfo("EURUSD",MODE_LOTSIZE)/*MarketInfo("EURUSD",MODE_ASK);
	} else if(Symbol()=="GBPUSD") {
		M=MarketInfo("GBPUSD",MODE_LOTSIZE)/*MarketInfo("GBPUSD",MODE_ASK);
	} else if(Symbol()=="USDCAD") {
		M=MarketInfo("USDCAD",MODE_LOTSIZE)/;
	} else if(Symbol()=="USDCHF") {
		M=MarketInfo("USDCHF",MODE_LOTSIZE)/;
	} else if(Symbol()=="USDJPY") {
		M=MarketInfo("USDJPY",MODE_LOTSIZE)/;
   }
  return(0);
}

//+------------------------------------------------------------------+

int deinit()
{
return(0);
}

//+------------------------------------------------------------------+

int start()
{
curr_bid = NormalizeDouble(Bid,Digits);
curr_ask = NormalizeDouble(Ask,Digits);
up_trend = curr_bid - old_ask;
down_trend = old_bid - curr_ask;
if (up_trend > 0.0)   
 {
 PlaySound("expert.wav");
 i = OrderSend(Symbol(),OP_BUY,,old_ask,0,0,0,"",5326,0,Red);
 Comment(GetLastError());
 }
if (down_trend > 0.0) 
 {
 PlaySound("expert.wav");
 i = OrderSend(Symbol(),OP_SELL,,old_bid,0,0,0,"",5326,0,Blue);
 Comment(GetLastError());
 }

for (cnt = 0; cnt < OrdersTotal(); cnt++)
   {
   OrderSelect(cnt,SELECT_BY_POS,MODE_TRADES);
   if ((OrderMagicNumber() == 5326) && (OrderSymbol() == Symbol()))
      {
      RefreshRates();
      if (OrderType() == OP_BUY && Bid-OrderOpenPrice()>=*Point)  i = OrderClose(OrderTicket(),OrderLots(),Bid,100,Red);
      if (OrderType() == OP_SELL && OrderOpenPrice()-Ask>=*Point) i = OrderClose(OrderTicket(),OrderLots(),Ask,100,Blue);
      }
   }

if ( == 1) { = NormalizeDouble(MathFloor((AccountFreeMargin()*/100)*10)/M/10,1); Comment();}
old_bid = curr_bid;
old_ask = curr_ask;
return(0);
}