//+------------------------------------------------------------------+
//|                                                       TikTak.mq4 |
//+------------------------------------------------------------------+

#property copyright "Maloma"
#include <stdlib.mqh>
#property show_inputs

extern double Lots = 0.1;
extern int    Deep = 50;
extern int    K4enter = 20;
extern int    K4exit = 10;
       double Array[100];
       int    Index=0, i;
       double Current=0, tmp;
       double Up=0, Down=0;
       int    Uc=0, Dc=0;
       double Su=0, Sd=0, K=0;
       bool   sell=false, buy=false, exit=false;
       int    magic=6594045;

//-- Fill -----------------------------------------------------------------------------------------
int fill()

{
 tmp=Bid;
 if (Current==tmp) {return(1);}
// Comment("Current=",Current," Bid=",Bid);
 if (tmp!=Current)
  {
   Array[Index]=tmp-Current;
   Current=tmp;
   Index++;
  }
 return(0);
}
//-------------------------------------------------------------------------------------------------

//-- Shift ----------------------------------------------------------------------------------------
int shift()

{
 for (i=1;i<Deep;i++)
  {
   Array[i-1]=Array[i];
  }
 Index--;
 return(0);
}
//-------------------------------------------------------------------------------------------------

//-- Analiz ---------------------------------------------------------------------------------------
int analiz()

{
 int m=0;
 int j=OrdersTotal()-1;
 for (i=j;i>=0;i--)
  {
   OrderSelect(i,SELECT_BY_POS,MODE_TRADES);
   if ((OrderSymbol()==Symbol()) && (OrderMagicNumber()==magic)) {m++;}
  }
 Print("Up= ",Up,"  Down= ",Down,"  Uc= ",Uc,"  Dc= ",Dc,"  Su= ",Su,"  Sd= ",Sd,"  K= ",K,"  RES= ",MathRound(MathAbs(1-K)*100));
 if (m==0)
  {
   if (MathRound(MathAbs(1-K)*100)>=K4enter)
    {
     if ((1-K)>0) {buy=true;}
     if ((1-K)<0) {sell=true;}
    } else
    {
     buy=false;
     sell=false;
    }
  } else
   if (MathRound(MathAbs(1-K)*100)<=K4exit)
    {
     Print("---------------------------");
     buy=false;
     sell=false;
     exit=true;
    }
 return(0);
}
//-------------------------------------------------------------------------------------------------

//-- Calc -----------------------------------------------------------------------------------------
int calc()

{
 for (i=0;i<Deep;i++)
  {
   if (Array[i]>0) 
    {
     Up=Up+Array[i];
     Uc++;
    }
   if (Array[i]<0)
    {
     Down=Down+Array[i];
     Dc++;
    }
  }
 Su=Up/Point/Uc;
 Sd=Down/Point/Dc;
 K=MathAbs(Su/Sd);
 return(0);
}
//-------------------------------------------------------------------------------------------------

//-- Trade ----------------------------------------------------------------------------------------
int trade()

{
 int j=OrdersTotal()-1;
 if (exit)
  {
   for (i=j;i>=0;i--)
    {
     OrderSelect(i,SELECT_BY_POS,MODE_TRADES);
     if ((OrderSymbol()==Symbol()) && (OrderMagicNumber()==magic))
      {
       if (OrderType()==OP_BUY) {OrderClose(OrderTicket(),OrderLots(),Bid,3,CLR_NONE);}
       if (OrderType()==OP_SELL) {OrderClose(OrderTicket(),OrderLots(),Ask,3,CLR_NONE);}
      }
    }
  }
 if (buy) {OrderSend(Symbol(),OP_BUY,Lots,Ask,3,0,0,"",magic,0,CLR_NONE); buy=false;}
 if (sell) {OrderSend(Symbol(),OP_SELL,Lots,Bid,3,0,0,"",magic,0,CLR_NONE); sell=false;}
 return(0);
}
//-------------------------------------------------------------------------------------------------

//-- Start ----------------------------------------------------------------------------------------
int start()

{
 if (Current==0) {Current=Bid;}
 if (Index<Deep) 
  {
   fill();
   return(2);
  }
 Up=0; Down=0; Uc=0; Dc=0; Su=0; Sd=0;
 calc();
// Print("Up=",Up," Down=",Down," Uc=",Uc," Dc=",Dc," Su=",Su," Sd=",Sd," K=",K);
 analiz();
// trade();
 shift();
 return(0);
}
//-------------------------------------------------------------------------------------------------

